Subject: bug#7135: closed (Re: bug#7135: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Oct 2010 03:41:02 +0000

Your bug report

#7135: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7135: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7135
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7135: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 30 Sep 2010 23:43:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 23.3

2010-10-01  Glenn Morris  <rgm at gnu.org>

        * emacsclient.c (set_local_socket) [DARWIN_OS]: Try as a
        fall-back DARWIN_USER_TEMP_DIR.  (Bug#3992)

Subject: 24.0.50; Mac OS X X11: emacsclient cannot find server from remote login
From: Bob Nnamtrop <[email-masked]>
To: [email-masked]
Date: Wed, 29 Sep 2010 11:00:25 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

When using daemon mode locally on my computer it works correctly.  However,
if I login (using ssh -Y) to a computer with an emacs daemon running
(started with emacs -Q --daemon) and use emacsclient to connect to it
emacsclient does not find the server.  I get the error:

emacsclient -n -c
emacsclient: can't find socket; have you started the server?
To start the server in Emacs, type "M-x server-start".
emacsclient: No socket or alternate editor.  Please use:

        --socket-name
        --server-file      (or environment variable EMACS_SERVER_FILE)
        --alternate-editor (or environment variable ALTERNATE_EDITOR)

I can get emacsclient to work if I use --server-file option after I have
located the server-file.  I have the following bash function which does this
automatically:

emc () { emacsclient -n -c --socket-name="$( (find /var/ -name server | grep
emacs8060) 2> /dev/null )"}

but emacclient should be able to find the socket on its own.  Note that this
was present in 23.1 and 23.2 as well.

Bob

In GNU Emacs 24.0.50.2 (i386-apple-darwin9.8.0, GTK+ Version 2.20.1)
 of 2010-09-29 on ***
Windowing system distributor `The X.Org Foundation', version 11.0.10802000
configured using `configure  '--prefix=/Users/name/local-emacs-bzr''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t